def map_coordinates(f,l):
    "apply f to all coordinates of a point list l"
    return map(lambda x: tuple(map(f,x)),l)

def translate(p,origin=(0,0),destination=None):
  return (destination[0]+p[0]-origin[0],
          destination[1]+p[1]-origin[1])

def translate_poly(poly,origin,destination):
  return map(lambda x: translate(x,origin,destination), poly)
